Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.io.saxsource
Class XmlReaderSaxSource

    java.lang.Object
      com.servingxml.io.saxsource.AbstractSaxSource
          com.servingxml.io.saxsource.XmlReaderSaxSource

All Implemented Interfaces:
  SaxSource

    public class XmlReaderSaxSource

extends AbstractSaxSource

Implements a simple SaxSource.

Constructor Summary
`XmlReaderSaxSource(org.xml.sax.XMLReader xmlReader, Key key, Expirable expirable, java.util.Properties outputProperties, javax.xml.transform.TransformerFactory transformerFactory)`
`XmlReaderSaxSource(org.xml.sax.XMLReader xmlReader, java.util.Properties outputProperties, javax.xml.transform.TransformerFactory transformerFactory)`
`XmlReaderSaxSource(org.xml.sax.XMLReader xmlReader, javax.xml.transform.TransformerFactory transformerFactory)`

Method Summary
`org.xml.sax.XMLReader` | `createXmlReader()`
`Expirable` | `getExpirable()`
`Key` | `getKey()`
`java.lang.String` | `getSystemId()`

Methods inherited from class com.servingxml.io.saxsource.AbstractSaxSource
`getDefaultOutputProperties, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlReaderSaxSource

    public XmlReaderSaxSource(org.xml.sax.XMLReader xmlReader,
                              javax.xml.transform.TransformerFactory transformerFactory)

### XmlReaderSaxSource

    public XmlReaderSaxSource(org.xml.sax.XMLReader xmlReader,
                              java.util.Properties outputProperties,
                              javax.xml.transform.TransformerFactory transformerFactory)

### XmlReaderSaxSource

    public XmlReaderSaxSource(org.xml.sax.XMLReader xmlReader,
                              Key key,
                              Expirable expirable,
                              java.util.Properties outputProperties,
                              javax.xml.transform.TransformerFactory transformerFactory)

Method Detail

### createXmlReader

    public org.xml.sax.XMLReader createXmlReader()

### getKey

    public Key getKey()

### getExpirable

    public Expirable getExpirable()

### getSystemId

    public java.lang.String getSystemId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD